# Serialized Form

## Package org.jboss.logmanager

### Class org.jboss.logmanager.ExtLogRecord extends LogRecord implements Serializable

serialVersionUID:
  -9174374711278052369L

### Serialization Methods

#### writeObject

    private void writeObject(ObjectOutputStream oos)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### ndc

    String ndc

#### formatStyle

    ExtLogRecord.FormatStyle formatStyle

#### mdcCopy

    org.jboss.logmanager.FastCopyHashMap<K,V> mdcCopy

#### sourceLineNumber

    int sourceLineNumber

#### sourceFileName

    String sourceFileName

#### resourceKey

    String resourceKey

#### formattedMessage

    String formattedMessage

#### threadName

    String threadName

### Class org.jboss.logmanager.Level extends Level implements Serializable

serialVersionUID:
  491981186783136939L

### Class org.jboss.logmanager.Logger extends Logger implements Serializable

serialVersionUID:
  5093333069125075416L

### Serialization Methods

#### writeReplace

    protected final Object writeReplace()
                                 throws ObjectStreamException

Throws:
  `ObjectStreamException`

### Serialized Fields

#### loggerNode

    org.jboss.logmanager.LoggerNode loggerNode

The named logger tree node.

### Class org.jboss.logmanager.SerializedLogger extends Object implements Serializable

serialVersionUID:
  8266206989821750874L

### Serialization Methods

#### readResolve

    public Object readResolve()

Get the actual logger for this marker.

See Also:
  Serialization spec, 3.7

### Serialized Fields

#### name

    String name